using System;
using System.Runtime.InteropServices;

namespace EchoServerCLR
{
   [  
      ComVisible(true),
      Guid("CB60912A-89E0-4178-ABB3-9C15C98D21B1"),
      InterfaceType(ComInterfaceType.InterfaceIsIUnknown)
   ]
   public interface IManagedHost
   {
      int CreateAppDomain(
         [MarshalAs(UnmanagedType.BStr)]string name);

      void OnConnectionEstablished(
         ISocket socket);
 
      void OnReadCompleted(
         [MarshalAs(UnmanagedType.SafeArray, SafeArraySubType=VarEnum.VT_UI1)] byte[] data,
         ISocket socket);

      void OnConnectionClientClose(
         ISocket socket);
   }
}
