#pragma once
#ifndef ECHO_SERVER_SOCKET_I_LISTEN_FOR_APP_DOMAIN_UNLOAD_INCLUDED__
#define ECHO_SERVER_SOCKET_I_LISTEN_FOR_APP_DOMAIN_UNLOAD_INCLUDED__
///////////////////////////////////////////////////////////////////////////////
// File: IListenForAppDomainUnload.h
///////////////////////////////////////////////////////////////////////////////
//
// Copyright 2010 JetByte Limited.
//
// This software is provided "as is" without a warranty of any kind. All
// express or implied conditions, representations and warranties, including
// any implied warranty of merchantability, fitness for a particular purpose
// or non-infringement, are hereby excluded. JetByte Limited and its licensors
// shall not be liable for any damages suffered by licensee as a result of
// using the software. In no event will JetByte Limited be liable for any
// lost revenue, profit or data, or for direct, indirect, special,
// consequential, incidental or punitive damages, however caused and regardless
// of the theory of liability, arising out of the use of or inability to use
// software, even if JetByte Limited has been advised of the possibility of
// such damages.
//
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
// IListenForAppDomainUnload
///////////////////////////////////////////////////////////////////////////////

class IListenForAppDomainUnload
{
   public :

      virtual void OnAppDomainUnload(
         const long appDomainID) = 0;

   protected :

      virtual ~IListenForAppDomainUnload() = default;
};

#endif // ECHO_SERVER_SOCKET_I_LISTEN_FOR_APP_DOMAIN_UNLOAD_INCLUDED__

///////////////////////////////////////////////////////////////////////////////
// End of file: IListenForAppDomainUnload.h
///////////////////////////////////////////////////////////////////////////////
